LIBS = limb

all: src/liblimb/include/limb/endian.h
CLEAN += src/liblimb/include/limb/endian.h src/liblimb/include/limb/rabin-tables.h

src/liblimb/include/limb/endian.h: src/include/config.h
	$(_GEN) tools/mkendian > $@

build/liblimb/nextsplit.h/nextsplit_rabin.o \
	build/liblimb/nextsplit.h/nextsplit_rabin.lo: src/liblimb/include/limb/rabin-tables.h

build/liblimb/nextsplit.h/nextsplit_rabin.o: | build/liblimb/nextsplit.h/nextsplit_rabin.lo

src/liblimb/include/limb/rabin-tables.h: mkrabintables
	$(_GEN) ./mkrabintables > $@

CFLAGS_liblimb/blake3.h/blake3_avx2 = -mavx2
CFLAGS_liblimb/blake3.h/blake3_avx512 = -mavx512f -mavx512vl -mavx512bw
CFLAGS_liblimb/blake3.h/blake3_sse2 = -msse2
CFLAGS_liblimb/blake3.h/blake3_sse41 = -msse4.1
