% limb manual
% base.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

base.h - base-16/32/64/128 encoding/decoding of byte arrays

# SYNOPSIS

    #include <limb/base.h>

# DESCRIPTION

This header defines the required functions perform base 16/32/64/128 encoding/decoding.

## Functions

The following functions are defined :

: [base_fmt](3)
:: Encode a byte array in the specified base using the given alphabet.

: [base_scan](3)
:: Decode a byte array in the specified base using the given alphabet.

# SEE ALSO

[base32.h](0), [base64.h](0)
