% limb manual
% base32.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

base32.h - base32 encode/decode a byte array

# SYNOPSIS

    #include <limb/base32.h>

# DESCRIPTION

This header defines the required functions perform base32 encoding/decoding.

## Functions

The following functions are defined :

: [base32_fmt](3)
:: Encode a byte array using BASE32 algorithm as per RFC 4648.

: [base32_scan](3)
:: Decode a byte array using BASE32 algorithm as par RFC 4648.

# SEE ALSO

[base.h](0), [base64.h](0)
