% limb manual
% buffer_fd(3)
% limb 0.1.0
% 2023-07-24

# NAME

buffer_fd, buffer_getfd - file descriptor associated with an I/O buffer

# SYNOPSIS

    #include <limb/buffer.h>

```pre hl
int buffer_fd(buffer *<em>buf</em>)
int buffer_getfd(buffer *<em>buf</em>)
```

# DESCRIPTION

The `buffer_fd`() macro returns the file descriptor associated with the buffer
pointed by `buf`.

The `buffer_getfd`() function is similar, but a function.

# RETURN VALUE

The `buffer_fd`() and `buffer_getfd`() functions return the file descriptor
associated with the buffer pointed by `buf`.
