% limb manual
% fd_close(3)
% limb 0.1.0
% 2023-07-24

# NAME

fd_close - close a file descriptor without affecting errno

# SYNOPSIS

    #include <limb/djbunix.h>

```pre hl
void fd_close(int <em>fd</em>)
```

# DESCRIPTION

The `fd_close`() function closes file descriptor `fd` without affecting `errno`.
`fd2` reference the same file.
