% limb manual
% hasher_sha3_384.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hasher\_sha3\_384.h - hasher for SHA3-384

# SYNOPSIS

    #include <limb/hasher_sha3_384.h>

# DESCRIPTION

This header defines the hasher to compute the SHA3-384 of a given message.

## Hashers

The following hashers are defined :

: *sha3_384*
:: A hasher for SHA3-384. See [hasher_hash](3) for more.

# SEE ALSO

[sha3_384_init](3)
