% limb manual
% hmac.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hmac.h - computing HMACs

# SYNOPSIS

    #include <limb/hmac.h>

# DESCRIPTION

This header defines the required functions to compute HMACs of messages.

## Functions

The following functions are defined :

: [hmac](3)
:: Compute the HMAC of a given message using given hasher and key

# SEE ALSO

[hasher.h](0), [pbkdf2.h](0)
