% limb manual
% int.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

int.h - integer types


# SYNOPSIS

    #include <limb/int.h>

# DESCRIPTION

The header defines some integers types.

## Types

The following types are defined :

: *u8*
:: 8bit unsigned integer

: *u16*
:: 16bit unsigned integer

: *u32*
:: 32bit unsigned integer

: *u64*
:: 64bit unsigned integer

## Macros

The following macros are defined :

: *U8_C*(`u`)
:: Cast number `u` to an *u8*

: *U16_C*(`u`)
:: Cast number `u` to an *u16*

: *U32_C*(`u`)
:: Cast number `u` to an *u32*

: *U64_C*(`u`)
:: Cast number `u` to an *u64*
