% limb manual
% ret(3)
% limb 0.1.0
% 2023-07-24

# NAME

retw, retw, retwsys, retwusys - write a warning to standard error and return

# SYNOPSIS

    #include <limb/output.h>
    extern const char *PROG;

```pre hl
int retw(<em>r</em>, ...)
int retwu(<em>r</em>, ...)
int retwsys(<em>r</em>, ...)
int retwusys(<em>r</em>, ...)
```

# DESCRIPTION

All of those are implemented as macros to write the specified strings as warning
to /stderr/ with a new line added at the end (via [put](3)), then return `r`.

All of then actually use [warn](3), [warnu](3), [warnsys](3) and [warnusys](3)
macros before calling `return r`.
