% limb manual
% patrim.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

patrim.h - encode/decode data in PATRIM format

# SYNOPSIS

    #include <limb/patrim.h>

# DESCRIPTION

The header defines functions used to encode/decode data in [patrim](5) format.

## Functions

The following functions/macros are defined :

: [patrim_isblob](3)
:: Returns whether the given ID is that of a blob or not.

: [patrim_isint](3)
:: Returns whether the given ID is that of an integer or not.

: [patrim_isshldata](3)
:: Returns whether the given ID belongs to the shielded data protocol or not.

: [patrim_put](3)
:: To encode data in [patrim](5) format.

: [patrim_get](3)
:: To decode data in [patrim](5) format.
