% limb manual
% unlink_void(3)
% limb 0.1.0
% 2023-07-24

# NAME

unlink_void, unlinkat_void - remove a file without affecting errno

# SYNOPSIS

    #include <limb/posixplz.h>

```pre hl
void unlink_void(const char *<em>file</em>)
void unlinkat_void(int <em>bfd</em>, const char *<em>file</em>, int <em>flags</em>)
```

# DESCRIPTION

The `unlink_void`() function calls [unlink](3) with argument `file`, making
sure the current value of `errno` will /not/ be changed.

The `unlinkat_void`() function calls [unlinkat](3) with arguments `bfd`, `file`
and `flags`, making sure the current value of `errno` will /not/ be changed.
