% limb manual
% stralloc_reverse(3)
% limb 0.1.0
% 2023-07-24

# NAME

stralloc_reverse, stralloc_reverse_blocks - reverse the content of a stralloc

# SYNOPSIS

    #include <limb/stralloc.h>

```pre hl
void stralloc_reverse(stralloc *<em>sa</em>)
void stralloc_reverse_blocks(stralloc *<em>sa</em>, size_t <em>blen</em>)
```

# DESCRIPTION

The `stralloc_reverse`() function reverses the content of stralloc `sa`,
byte-by-byte.

The `stralloc_reverse_blocks`() function is similar, but dividing the data by
blocks of `blen` bytes.
