% limb manual
% term.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

term.h - helpers for terminal interactions


# SYNOPSIS

    #include <limb/term.h>


# DESCRIPTION

The header defines helper functions to interact with a terminal.

## Functions

The following functions are defined :

: [ask_password](3)
:: To prompt user for a password and read it from *stdin*.

: [term_echo](3)
:: To enable/disable echoing of input characters from a terminal.

: [term_ensurefg](3)
:: To ensure current process is in the foreground job if needed.
