/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_LIMB_POLY1305_H
#define LIMB_LIMB_POLY1305_H

#include <limb/gccattributes.h>
#include <limb/u32.h>

#define U32(n)                  (* (u32 * ) u32_le(n))

extern void poly1305_blocks(const u8 *msg, size_t mlen, poly1305_ctx *ctx) gccattr_hidden;

#endif /* LIMB_LIMB_POLY1305_H */
