/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/base.h>
#include "base32.h"

const char base32[33] = "ABCDEFGHIJKLMNOPQRSTUVWXYZ234567=";

ssize_t
base32_scan(char *dst, const char *data, size_t dlen, int strict)
{
    return base_scan(dst, 32, data, dlen, base32, strict);
}
