/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/cdbmake.h>

int
cdbmaker_sa_start(cdbmaker_sa *m)
{
    m->sa.len = m->hplist.len = 0;
    if (!stralloc_readyplus(&m->sa, 2048))
        return 0;
    m->sa.len = 2048;
    return 1;
}
