/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/bytestr.h>
#include <limb/chacha20.h>

void
chacha20_clear(void *ctx_)
{
    chacha20_ctx *ctx = ctx_;
    byte_zero(ctx->in, CHACHA_BLOCK_SIZE);
}
