/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/djbunix.h>

int mkdirpat(int bfd, const char *name, mode_t mode)
{
    int fd = fd_mkdirpat(bfd, name, mode);
    if (fd < 0) return -1;
    fd_close(fd);
    return 0;
}
