/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/hasher_blake3.h>
#include <limb/blake3.h>

struct hblake3 {
    hasher h;
    blake3_ctx ctx;
} hasher_blake3 = {
    .h.hlen = 32,
    .h.blen = 64,
    .h.init = blake3_init,
    .h.update = blake3_update,
    .h.final = blake3_final,
};
