/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/hlookup.h>

u64
hlookup64(const void *data, size_t dlen)
{
    u32 h, hh;
    h = dlen << 2;
    hh = 0;
    hlookup(&h, &hh, data, dlen);
    return (u64) h + ((u64) hh << 32);
}
