/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_BYTESTR_H
#define LIMB_BYTESTR_H

#include <skalibs/bytestr.h>

extern size_t byte_str(const char *haystack, size_t hlen, const char *needle, size_t nlen);
extern size_t byte_istr(const char *haystack, size_t hlen, const char *needle, size_t nlen);

extern int byte_get_match_full(int *first, const char *str, size_t slen,
                               const void *list_, size_t offset, size_t llen);
extern int byte_get_match(int *first, const char *str, size_t slen, const char **list);

#endif /* LIMB_BYTESTR_H */
