/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_CDB_H
#define LIMB_CDB_H

#include <skalibs/cdb.h>
#include <limb/int.h>

typedef u32 cdb_traverse;
#define CDB_TRAVERSE_ZERO   2048

#define cdb_initat      cdb_init_at
#define cdb_find_start  cdb_findstart
#define cdb_find_next   cdb_findnext

extern void cdb_init_frommem(cdb *c, const char *mem, u32 len);

#endif /* LIMB_CDB_H */
