/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_HLOOKUP_H
#define LIMB_HLOOKUP_H

#include <string.h> /* size_t */
#include <limb/int.h>

extern void hlookup(u32 *main, u32 *second, const void *data, size_t dlen);
extern u32 hlookup32(const void *data, size_t dlen);
extern u64 hlookup64(const void *data, size_t dlen);

#endif /* LIMB_HLOOKUP_H */
