/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_PBKDF2_H
#define LIMB_PBKDF2_H

#include <stddef.h> /* size_t */
#include <limb/hasher.h>

extern int pbkdf2(char *dst, size_t dlen, hasher *hr, const char *pwd, size_t plen,
                  const char *salt, size_t slen, size_t iter);

#endif /* LIMB_PBKDF2_H */
