/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_POSIXPLZ_H
#define LIMB_POSIXPLZ_H

#include <skalibs/posixplz.h>

typedef int (*createat_fn) (int fd, const char *file, mode_t mode, void *data);
typedef create_func_ref create_fn;

extern int mkfiletempat(int bfd, char *name, createat_fn fn, mode_t mode, void *data);
extern void unlinkat_void(int bfd, const char *file, int flags);

#endif /* LIMB_POSIXPLZ_H */
