/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_SAMISC_H
#define LIMB_SAMISC_H

#include <limb/int.h>
#include <limb/stralloc.h>

extern int  sa_patrim_put(stralloc *sa, u64 id, u64 u, const char *data);
extern int  sa_coloff(stralloc *sa, size_t from, size_t skip, size_t end);
extern void sa_off2ptr(stralloc *sa, size_t arroff, size_t n);
extern int  sa_colptr(stralloc *sa, size_t from, size_t end);

#endif /* LIMB_SAMISC_H */
