/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_STRALLOC_H
#define LIMB_STRALLOC_H

#include <skalibs/stralloc.h>

#define stralloc_copys0(sa, s)      stralloc_copyb(sa, (s), strlen(s) + 1)
#define stralloc_cats0(sa, s)       stralloc_catb(sa, (s), strlen(s) + 1)
#define stralloc_inserts0(sa, o, s) stralloc_insertb(sa, o, (s), strlen(s) + 1)

extern int stralloc_remove(stralloc *sa, size_t offset, size_t len);

#endif /* LIMB_STRALLOC_H */
