/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_TERM_H
#define LIMB_TERM_H

#include <sys/types.h> /* {,s}size_t */

extern int term_ensurefg(int fd);
extern int term_echo(int fd, int want);
extern ssize_t ask_password(char *dst, size_t dlen, const char *prompt);

#endif /* LIMB_TERM_H */
