/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <errno.h>
#include <limb/shldata-rw.h>

int
shldata_chkmagic(u32 magic)
{
    return ((magic & SHLDATA_MASK) == SHLDATA_MAGIC) ? 1 : (errno = EINVAL, 0);
}
