% limb manual
% base64.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

base64.h - base64 encode/decode a byte array

# SYNOPSIS

    #include <limb/base64.h>

# DESCRIPTION

This header defines the required functions perform base64 encoding/decoding.

## Functions

The following functions are defined :

: [base64_fmt](3)
:: Encode a byte array using BASE64 algorithm as per RFC 4648.

: [base64_scan](3)
:: Decode a byte array using BASE64 algorithm as par RFC 4648.

# SEE ALSO

[base.h](0), [base32.h](0)
