% limb manual
% byte_equal(3)
% limb 0.1.0
% 2023-07-24

# NAME

byte_equal - compares two byte arrays

# SYNOPSIS

    #include <limb/bytestr.h>

```pre hl
int byte_equal(const char *<em>arr1</em>, size_t <em>len</em>, const char *<em>arr2</em>)
```

# DESCRIPTION

The `byte_equal`() function returns whether or not `arr1` and `arr2`, of length
`len`, are the same.

# RETURN VALUE

The `byte_equal`() function returns 1 when the `len` first bytes of `arr1` and
`arr2` are the same. Otherwise it returns 0.
