% limb manual
% copa.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

copa.h - helper for configuration parsing


# SYNOPSIS

    #include <limb/copa.h>


# DESCRIPTION

The header defines helper functions to parse configuration file.

## Structures

The following structures are defined :

: *struct copa*
:: An opaque structure to be passed to the functions below.

## Functions

The following functions/macros are defined :

: [copa_init](3)
:: To initialize a configuration parser.

: [copa_is_section](3)
:: To known whether we're at a section or not (i.e. an option).

: [copa_name](3)
:: To get a pointer to the current name.

: [copa_next](3)
:: To advance parsing to the next element.

: [copa_nlen](3)
:: To get the length of the current name.

: [copa_value](3)
:: To get a pointer to the current value.

: [copa_vlen](3)
:: To get the length of the current value.
