% limb manual
% dir_close(3)
% limb 0.1.0
% 2023-07-24

# NAME

dir_close, dir_fd - close a directory stream / get directory stream file
descriptor

# SYNOPSIS

    #include <limb/direntry.h>

```pre hl
void dir_close(DIR *<em>dir</em>)
int dir_fd(DIR *<em>dir</em>)
```

# DESCRIPTION

The `dir_close`() function closes the directory stream associated with `dir` and
the underlying file descriptor associated with it.

The `dir_fd`() function returns the underlying file descriptor associated with
the directory stream `dir`.

# RETURN VALUE

The `dir_fd`() function returns the underlying file descriptor associated with
the directory stream `dir`.
