% limb manual
% esc.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

esc.h - escaping/unescaping data


# SYNOPSIS

    #include <limb/esc.h>


# DESCRIPTION

The header defines functions to needed to escape/unescape data.

## Functions

The following functions are defined :

: [escall_fmt](3)
:: To escape given text/data.

: [escall_scan](3)
:: To unescape data previsouly escaped via [escall_fmt](3).

: [esc_fmt](3)
:: Similar to [escall_fmt](3) but don't handle partial processing.

: [esc_scan](3)
:: Similar to [escall_scan](3) but don't handle partial processing.
