% limb manual
% exec.h(0)
% limb 0.2.0
% 2024-01-09

# NAME

exec.h - execute a file


# SYNOPSIS

    #include <limb/exec.h>


# DESCRIPTION

The header defines functions to needed to execute a file.

<inc skalibs.md>

## Functions

The following functions are defined :

: [exec_ae](3)
:: To execute a file specifying file, argv and environ.

: [exec_a](3)
:: Similar to [exec_ae](3) specifying file and argv (using global `environ`).

: [exec_e](3)
:: Similar to [exec_ae](3) specifying argv and environ (using `argv[0]` as file).

: [exec](3)
:: Similar to [exec_ae](3) specifying argv (using `argtv[0]` as file, and global
:: `environ`).

