% limb manual
% hasher_blake3.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hasher_blake3.h - hasher for BLAKE3

# SYNOPSIS

    #include <limb/hasher_blake3.h>

# DESCRIPTION

This header defines the hasher to compute the BLAKE3 of a given message.

## Hashers

The following hashers are defined :

: *blake3*
:: A hasher for BLAKE3. See [hasher_hash](3) for more.

# SEE ALSO

[blake3_init](3)
