% limb manual
% hasher_sha3_224.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hasher\_sha3\_224.h - hasher for SHA3-224

# SYNOPSIS

    #include <limb/hasher_sha3_224.h>

# DESCRIPTION

This header defines the hasher to compute the SHA3-224 of a given message.

## Hashers

The following hashers are defined :

: *sha3_224*
:: A hasher for SHA3-224. See [hasher_hash](3) for more.

# SEE ALSO

[sha3_224_init](3)
