% limb manual
% hasher_sha3_256.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hasher\_sha3\_256.h - hasher for SHA3-256

# SYNOPSIS

    #include <limb/hasher_sha3_256.h>

# DESCRIPTION

This header defines the hasher to compute the SHA3-256 of a given message.

## Hashers

The following hashers are defined :

: *sha3_256*
:: A hasher for SHA3-256. See [hasher_hash](3) for more.

# SEE ALSO

[sha3_256_init](3)
