% limb manual
% hasher_sha3_512.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hasher\_sha3\_512.h - hasher for SHA3-512

# SYNOPSIS

    #include <limb/hasher_sha3_512.h>

# DESCRIPTION

This header defines the hasher to compute the SHA3-512 of a given message.

## Hashers

The following hashers are defined :

: *sha3_512*
:: A hasher for SHA3-512. See [hasher_hash](3) for more.

# SEE ALSO

[sha3_512_init](3)
