% limb manual
% hex.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

hex.h - hexadecimal dumping of data


# SYNOPSIS

    #include <limb/hex.h>


# DESCRIPTION

The header defines functions to needed to print/dump data in hexadecimal.

## Constants

The following constants are defined :

: *HEX_SP*, *HEX_1BLOCK_SP*, *HEX_2BLOCK_SP*, *HEX_3BLOCK_SP*, *HEX_4BLOCK_SP*,
: *HEX_LF*, *HEX_1BLOCK_LF*, *HEX_2BLOCK_LF*, *HEX_3BLOCK_LF*, *HEX_4BLOCK_LF*
:: Options that can be passed to the functions below.

## Functions

The following functions are defined :

: [hexall_fmt](3)
:: To print given text/data in hexadecimal.

: [hex_fmt](3)
:: Similar to [hexall_fmt](3) but don't handle partial processing.
