% limb manual
% pbkdf2.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

pbkdf2.h - compute PBKDF2

# SYNOPSIS

    #include <limb/pbkdf2.h>

# DESCRIPTION

This header defines the required functions to derive a key from a password via
PBKDF2.

## Functions

The following functions are defined :

: [pbkdf2](3)
:: Derive a key from given password & salt using PBKDF2 based on the given
:: hasher.

# SEE ALSO

[hasher.h](0), [hmac.h](0)
