% limb manual
% posixplz.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

posixplz.h - functions that maybe should be in POSIX :-)

# SYNOPSIS

    #include <limb/posixplz.h>

# DESCRIPTION

This header defines functions that aren't but maybe should be in POSIX.

<inc skalibs.md>

## Functions

The following functions/macros are defined :

: [mkfiletemp](3)
:: To open a new temporary file.

: [mkfiletempat](3)
:: Similar to [mkfiletemp](3) only with a file descriptor for relative path.

: [touch](3)
:: To "touch" a file, i.e. update its atime & mtime to the current time.

: [unlink_void](3)
:: To remove a file without affecting `errno`.

: [unlinkat_void](3)
:: Similar to [unlink_void](3) only with a file descriptor for relative path.
