% limb manual
% samisc.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

samisc.h - miscellaneous functions dealing with stralloc

# SYNOPSIS

    #include <limb/samisc.h>

# DESCRIPTION

The header defines some helper functions when working with *stralloc*.

## Functions

The following functions are defined :

: [sa_coloff](3)
:: Collect NUL-terminated strings from the given stralloc and store their
:: offsets into it

: [sa_colptr](3)
:: Same as [sa_coloff](3) but stores pointers to the strings

: [sa_off2ptr](3)
:: Transform an array of offsets into an array of pointers from an stralloc

: [sa_patrim_put](3)
:: Encode data in [patrim](5) format into the specified stralloc.
