% limb manual
% shldata-rw.h(0)
% limb 0.1.0
% 2023-07-24

# NAME

shldata-rw.h - helpers functions to read/write shielded data files

# SYNOPSIS

    #include <limb/shldata-rw.h>

# DESCRIPTION

The header defines helpers functions used to read/write shielded data files, as
per [shldata](5).

## Functions

The following functions are defined :

: [shldata_chkmagic](3)
:: To ensure a magic number is valid for a shielded data file.

: [shldata_read](3)
:: To read a shielded data file and decrypt its data.

: [shldata_write](3)
:: To encrypt data and write them to a shielded data file.
