% limb manual
% siov_len(3)
% limb 0.1.0
% 2023-07-24

# NAME

siov_len - return the length of an array of vectors

# SYNOPSIS

    #include <limb/siovec.h>

```pre hl
size_t siov_len(const struct iovec *<em>v</em>, unsigned int <em>n</em>)
```

# DESCRIPTION

The `siov_len`() function returns the length of data scattered across the array
`v` of `n` vectors.

# RETURN VALUE

The `siov_len`() function returns the length of data in the array `v` of `n`
vectors.

# SEE ALSO

[siov_seek](3)
