/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_LIMB_BUFFER_SHLDATA_h
#define LIMB_LIMB_BUFFER_SHLDATA_h

#include <skalibs/functypes.h>
#include <limb/buffer-shldata.h>
#include <limb/gccattributes.h>

typedef ssize_t (*shldata_getfull) (const char *s, size_t l, void *args, buffer_shldata_ctx *ctx);

extern int buffer_shldata_getfull(buffer *b, shldata_getfull fn, void *args, stralloc *sa, buffer_shldata_ctx *ctx) gccattr_hidden;

#endif /* LIMB_LIMB_BUFFER_SHLDATA_h */
