/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/base.h>
#include "base32.h"

size_t
base32_fmt(char *dst, const void *data, size_t dlen, int strict)
{
    return base_fmt(dst, 32, data, dlen, base32, strict);
}
