/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/base.h>
#include "base64.h"

size_t
base64_fmt(char *dst, const void *data, size_t dlen, int strict)
{
    return base_fmt(dst, 64, data, dlen, base64, strict);
}
