/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/base.h>
#include "base64.h"

const char base64[65] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";

ssize_t
base64_scan(char *dst, const char *data, size_t dlen, int strict)
{
    return base_scan(dst, 64, data, dlen, base64, strict);
}
