/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/hasher.h>

void
hasher_hash(void *md, const void *msg, size_t mlen, hasher *h)
{
    hinit(h);
    hupdate(msg, mlen, h);
    hfinal(md, h);
}
