/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/hasher_sha3_224.h>
#include <limb/sha3.h>

struct hsha3_224 {
    hasher h;
    sha3_ctx ctx;
} hasher_sha3_224 = {
    .h.hlen = 28,
    .h.blen = 144,
    .h.init = sha3_224_init,
    .h.update = sha3_update,
    .h.final = sha3_final,
};
