/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/hlookup.h>

u32
hlookup32(const void *data, size_t dlen)
{
    u32 h = dlen << 2;
    hlookup(&h, NULL, data, dlen);
    return h;
}
