/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_BASE_H
#define LIMB_BASE_H

#include <sys/types.h> /* ssize_t */

extern ssize_t base_fmt(char *dst, int base, const char *data, size_t dlen, const char *alpha, int strict);
extern ssize_t base_scan(char *dst, int base, const char *data, size_t dlen, const char *alpha, int strict);

# endif /* LIMB_BASE_H */
