/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_BASE64_H
#define LIMB_BASE64_H

#include <sys/types.h> /* ssize_t */

extern size_t base64_fmt(char *dst, const void *data, size_t dlen, int strict);
extern ssize_t base64_scan(char *dst, const char *data, size_t dlen, int strict);

# endif /* LIMB_BASE64_H */
