/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_ESC_H
#define LIMB_ESC_H

#include <sys/types.h> /* {,s}size_t */

extern int escall_fmt(char *dst, size_t dlen, const char *sce, size_t slen, size_t *w, size_t *r);
extern int escall_scan(char *dst, size_t dlen, const char *sce, size_t slen, size_t *w, size_t *r);

extern ssize_t esc_fmt(char *dst, size_t dlen, const char *sce, size_t slen);
extern ssize_t esc_scan(char *dst, size_t dlen, const char *sce, size_t slen);

#endif /* LIMB_ESC_H */
