/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_HMAC_H
#define LIMB_HMAC_H

#include <limb/hasher.h>

extern void hmac(char *out, hasher *h, const void *key, size_t klen, const void *msg, size_t mlen);

#endif /* LIMB_HMAC_H */
