/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef LIMB_NEXTSPLIT_H
#define LIMB_NEXTSPLIT_H

#include <string.h> /* size_t */

extern size_t nextsplit_ae(size_t min, size_t avg, const void *data, size_t dlen);
extern size_t nextsplit_buz(size_t min, size_t avg, const void *data, size_t dlen);
extern size_t nextsplit_rabin(size_t min, size_t avg, const void *data, size_t dlen);

#endif /* LIMB_NEXTSPLIT_H */
