/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <limb/obuffer.h>

void
obuffer_put(obuffer *obuf, u8 level, const char *s, size_t len)
{
    obuffer *ref = obuf;
    do {
        if (level <= obuf->lvl)
            buffer_put(obuf->b, s, len);
        obuf = obuf->n;
    } while (obuf && obuf != ref);
}
