/* This file is part of limb                           https://lila.oss/limb
 * Copyright (C) 2023 Olivier Brunel                          jjk@jjacky.com */
/* SPDX-License-Identifier: GPL-2.0-only */
#include <errno.h>
#include <unistd.h>
#include <limb/posixplz.h>

void
unlinkat_void(int bfd, const char *file, int flags)
{
    int e = errno;
    unlinkat(bfd, file, flags);
    errno = e;
}
